NAUTY-ADDPTG(1)

NAME
nauty-addptg - add additional vertices in various ways

SYNOPSIS
addptg [-lq] [-n#] [-j#:#] [-e#:#] [-ck] [-io] [infile [outfile]]

DESCRIPTION

    Add a specified number of new vertices

    The output file has a header if and only if the input file does.

-l  canonically label outputs

-c  join each new vertex to all the old vertices

-k  make a clique on the set of new vertices

-n# the number of new vertices (default 1)

-j# -j#:# join a new vertex to # old vertices in all possible ways

-e# -e#:# use all joins that give the new graphs # edges

    (-j, -e are each incompatible with -n)

-i  for a digraph, edges go towards the old vertices

-o  for a digraph, edges go away from the old vertices

    (-i is the default if neither -i nor -o is given)

-q  Suppress auxiliary information